com.aliyun.svideosdk.common.struct.common

## Class AliyunLayoutParam.Builder

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.common.AliyunLayoutParam.Builder

- Enclosing class:
    AliyunLayoutParam

      public static final class AliyunLayoutParam.Builder
      extends java.lang.Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AliyunLayoutParam` | `build()`
    `AliyunLayoutParam.Builder` | `centerX(float val)` Sets the x coordinate of the layout centroid relative to the origin.
    `AliyunLayoutParam.Builder` | `centerY(float val)` Sets the y coordinate of the layout centroid relative to the origin.
    `AliyunLayoutParam.Builder` | `displayMode(VideoDisplayMode val)`
    `AliyunLayoutParam.Builder` | `heightRatio(float val)` Sets the heightRatio of the layout relative to the video output height.
    `AliyunLayoutParam.Builder` | `layoutLevel(int val)`
    `AliyunLayoutParam.Builder` | `widthRatio(float val)` Sets the widthRatio of the layout relative to the video output width.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### centerX

          public AliyunLayoutParam.Builder centerX(float val)

      Sets the x coordinate of the layout centroid relative to the origin.
      Parameters:
        `val` - [0，1]

    - #### centerY

          public AliyunLayoutParam.Builder centerY(float val)

      Sets the y coordinate of the layout centroid relative to the origin.
      Parameters:
        `val` - [0，1]

    - #### widthRatio

          public AliyunLayoutParam.Builder widthRatio(float val)

      Sets the widthRatio of the layout relative to the video output width.
      Parameters:
        `val` - (0，1]

    - #### heightRatio

          public AliyunLayoutParam.Builder heightRatio(float val)

      Sets the heightRatio of the layout relative to the video output height.
      Parameters:
        `val` - (0，1]

    - #### layoutLevel

          public AliyunLayoutParam.Builder layoutLevel(int val)

    - #### displayMode

          public AliyunLayoutParam.Builder displayMode(VideoDisplayMode val)

    - #### build

          public AliyunLayoutParam build()